#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "SpecialEventScoreHandler.h"
#include "StepOnJerryCanInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class SPRING2025_API UStepOnJerryCanInteraction : public UInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FSpecialEventScoreHandler _specialEventScoreHandler;

public:
	UStepOnJerryCanInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UStepOnJerryCanInteraction) { return 0; }
